%define version 1.0.4
%define release 6mdk

Summary: Arabic support for linuxconsole
Summary(ar): دعم اللغة العربية في لينكس (للشاشات النصّية)
Name: acon
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Internationalization
Source: http://members.tripod.com/ahmedahamid/arabic/acon-%{version}.tar.bz2
Source1: acon.sh
# author refuses to integrate Hebrew support, so we need to provide the
# needed files ourselves and do some small patches
Source2: acon-1.0.4-mdk.tar.bz2
Patch: acon-1.0.4-mdk.patch.bz2
URL: http://members.tripod.com/ahmedahamid/arabic/arabic.html
BuildRoot: %{_tmppath}/%{name}-root

# until it can be fixed to correctly work on alpha, sparc and PPC
ExclusiveArch: %ix86

%description
The function of acon is to display arabic text from right to left,
and process it to change the letter shape according to its position
in the word.

%description -l ar
برنامج acon يقوم بعملية دعم عرض النصوص العربية من اليمين الى اليسار
واظهار الاشكال الصحيحة للأحرف حسب موقعها في الكلمة.

%changelog
* Fri Aug 31 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-6mdk
- fixed a typo in init script; converted translatable strings to simpler
  format.

* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.4-5mdk
- use /var/lock/subsys/acon in intscript
- use server macros

* Tue Mar 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-4mdk
- macrozifaction
- use %%ix86
- fix tmppath
- get rid of tar

* Tue Mar 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-3mdk
- rebuild for new glibc and distrib.
- adapted the rc.d script
- converted descriptions to UTF-8

* Wed Jul 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-2mdk
- fixed keymaps
- made it exclusivearch for the PC (until the sources are fixed)

* Thu Jun  8 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-1mdk
- updated to 1.0.4
- added support for Farsi and Hebrew
- improved sysinit script

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.3-1mdk
- updated to 1.0.3
- new Group: naming
- added doc/ directory
- moved *.map files to {_libdir}/kbd/i386/qwerty/ where they belong
  (yes, this package needs adaptation to PPC and such)

* Sat Oct 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.0.2

* Fri Aug 13 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version

%prep
%setup -n acon -a2

%patch0 -p1 -b .mdkpatch

%build
%serverbuild
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/acon

rm $RPM_BUILD_ROOT%{_libdir}/acon/keymaps/*

%ifarch i386 i486 i586 i686 k6 k7 alpha 
cp keymaps/i386/* $RPM_BUILD_ROOT%{_libdir}/acon/keymaps/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/i386/qwerty
(cd $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/i386/qwerty
 cp ../../../../acon/keymaps/*map . 
 gzip -9 *map
)
%endif
%ifarch sparc sparc64 
cp keymaps/sun/* $RPM_BUILD_ROOT%{_libdir}/acon/keymaps/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/sun
(cd $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/sun
 cp ../../../acon/keymaps/*map . 
 gzip -9 *map
)
%endif
%ifarch ppc
cp keymaps/mac/* $RPM_BUILD_ROOT%{_libdir}/acon/keymaps/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/mac
(cd $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/mac
 cp ../../../acon/keymaps/*map . 
 gzip -9 *map
)
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service acon

%preun
%_preun_service acon

%files
%defattr(-,root,root)
%doc doc/* README* AUTHORS CHANGES COPYING
%config(noreplace) /etc/rc.d/init.d/acon
%{_bindir}/acon
%{_libdir}/acon
%ifarch %ix86 alpha
%{_libdir}/kbd/keymaps/i386/qwerty/*
%endif
%ifarch sparc sparc64
%{_libdir}/kbd/keymaps/sun/*
%endif
%ifarch ppc
%{_libdir}/kbd/keymaps/mac/*
%endif

